---
title: HTMLFormElement.length
slug: Web/API/HTMLFormElement/length
tags:
  - API
  - HTML DOM
  - HTMLFormElement
  - NeedsSpecTable
  - Property
  - Read-only
  - Reference
---
<div>
<div>{{APIRef("HTML DOM")}}</div>
</div>

<p><span class="seoSummary">The <code><strong>HTMLFormElement.length</strong></code> read-only property returns the number of controls in the {{HTMLElement("form")}} element.</span> You can access the list of the form's controls using the {{domxref("HTMLFormElement.elements", "elements")}} property.</p>

<p>This includes both elements that are descendents of the <code>&lt;form&gt;</code> element as well as elements that are made members of the form using their <code>form</code> property.</p>

<p>{{page("/en-US/docs/Web/API/HTMLFormElement", "Elements that are considered form controls")}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>numControls</var> = <em>form</em>.length;
</pre>

<h3 id="Value">Value</h3>

<p><code>numControls</code> is the number of form controls within the <code>&lt;form&gt;</code>. This is the same as the number of the elements in the {{domxref("HTMLFormControlsCollection")}} returned by the {{domxref("HTMLFormElement.elements", "elements")}} property.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">if (document.getElementById('form1').length &gt; 1) {
  // more than one form control here
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-form-length', 'HTMLFormElement: length')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.length")}}</p>
